Bug 105471 - [new port] devel/py-qpy: Generating safely-quoted html text from python code
Summary: [new port] devel/py-qpy: Generating safely-quoted html text from python code
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-13 13:20 UTC by dryice
Modified: 2006-11-15 14:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dryice 2006-11-13 13:20:01 UTC
	Attached is the shar file for devel/py-qpy. It could be used
	to generate safely quoted HTML text from Python code. The idea
	is from ptl of www/quixote. It will be used in a new port
	py-qp, which is coming soon.

Fix: --- attached file begins here ---


--- attached file ends here -----6JXHxIKHWpMX3dODcvUFbI2eiDjblBEaRUPJbg9IpgPXRYmp
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/devel/py-qpy/
#	/usr/ports/devel/py-qpy/distinfo
#	/usr/ports/devel/py-qpy/Makefile
#	/usr/ports/devel/py-qpy/pkg-descr
#	/usr/ports/devel/py-qpy/pkg-plist
#
echo c - /usr/ports/devel/py-qpy/
mkdir -p /usr/ports/devel/py-qpy/ > /dev/null 2>&1
echo x - /usr/ports/devel/py-qpy/distinfo
sed 's/^X//' >/usr/ports/devel/py-qpy/distinfo << 'END-of-/usr/ports/devel/py-qpy/distinfo'
XMD5 (qpy-1.4.tar.gz) = d7578c52927edc72c477507a3dbd5803
XSHA256 (qpy-1.4.tar.gz) = e5c8c30e6e920e91373cf0e6431f856c6ce2677376823aea07cb461ce329f73a
XSIZE (qpy-1.4.tar.gz) = 17943
END-of-/usr/ports/devel/py-qpy/distinfo
echo x - /usr/ports/devel/py-qpy/Makefile
sed 's/^X//' >/usr/ports/devel/py-qpy/Makefile << 'END-of-/usr/ports/devel/py-qpy/Makefile'
X# New ports collection makefile for:	py-qpy
X# Date created:		13 Nov 2006
X# Whom:	      		Dryice Liu <dryice@dryice.name>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	qpy
XPORTVERSION=	1.4
XCATEGORIES=	devel python
XMASTER_SITES=	http://www.mems-exchange.org/software/qpy/ \
X		http://dryice.name/computer/FreeBSD/distfiles/
X
XMAINTAINER=	dryice@dryice.name
XCOMMENT=	Generating safely-quoted html text from python code
X
XUSE_PYTHON=	2.4+
XUSE_PYDISTUTILS=	yes
X
X.include <bsd.port.pre.mk>
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@ ${MKDIR} ${DOCSDIR}
X.for docfile in CHANGES.txt LICENSE.txt README.txt
X	@ ${INSTALL_DATA} ${WRKSRC}/${docfile} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/devel/py-qpy/Makefile
echo x - /usr/ports/devel/py-qpy/pkg-descr
sed 's/^X//' >/usr/ports/devel/py-qpy/pkg-descr << 'END-of-/usr/ports/devel/py-qpy/pkg-descr'
XQpy provides a convenient mechanism for generating safely-quoted html
Xtext from python code.
X
XIt does this by implementing a quoted-string data type and a
Xmodification of the python compiler. (This main idea comes from
XQuixote's htmltext/PTL.)
X
XWWW:      http://www.mems-exchange.org/software/qpy/
END-of-/usr/ports/devel/py-qpy/pkg-descr
echo x - /usr/ports/devel/py-qpy/pkg-plist
sed 's/^X//' >/usr/ports/devel/py-qpy/pkg-plist << 'END-of-/usr/ports/devel/py-qpy/pkg-plist'
Xbin/qpcheck.py
Xbin/qpyrun.py
X%%PYTHON_SITELIBDIR%%/qpy/__init__.py
X%%PYTHON_SITELIBDIR%%/qpy/__init__.pyc
X%%PYTHON_SITELIBDIR%%/qpy/__init__.pyo
X%%PYTHON_SITELIBDIR%%/qpy/c8.py
X%%PYTHON_SITELIBDIR%%/qpy/c8.pyc
X%%PYTHON_SITELIBDIR%%/qpy/c8.pyo
X%%PYTHON_SITELIBDIR%%/qpy/c8.so
X%%PYTHON_SITELIBDIR%%/qpy/compile.py
X%%PYTHON_SITELIBDIR%%/qpy/compile.pyc
X%%PYTHON_SITELIBDIR%%/qpy/compile.pyo
X%%PYTHON_SITELIBDIR%%/qpy/qpcheck.py
X%%PYTHON_SITELIBDIR%%/qpy/qpcheck.pyc
X%%PYTHON_SITELIBDIR%%/qpy/qpcheck.pyo
X%%PYTHON_SITELIBDIR%%/qpy/qpyrun.py
X%%PYTHON_SITELIBDIR%%/qpy/qpyrun.pyc
X%%PYTHON_SITELIBDIR%%/qpy/qpyrun.pyo
X%%PYTHON_SITELIBDIR%%/qpy/setup.py
X%%PYTHON_SITELIBDIR%%/qpy/setup.pyc
X%%PYTHON_SITELIBDIR%%/qpy/setup.pyo
X@dirrm %%PYTHON_SITELIBDIR%%/qpy
X%%PORTDOCS%%%%DOCSDIR%%/CHANGES.txt
X%%PORTDOCS%%%%DOCSDIR%%/LICENSE.txt
X%%PORTDOCS%%%%DOCSDIR%%/README.txt
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-/usr/ports/devel/py-qpy/pkg-plist
exit
Comment 1 Edwin Groothuis freebsd_committer 2006-11-13 13:21:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 Martin Wilke freebsd_committer 2006-11-15 08:04:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback.
Comment 3 Martin Wilke freebsd_committer 2006-11-15 14:12:19 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2006-11-15 14:21:13 UTC
miwi        2006-11-15 14:12:36 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/py-qpy           Makefile distinfo pkg-descr pkg-plist 
  Log:
  Qpy provides a convenient mechanism for generating safely-quoted html
  text from python code.
  
  It does this by implementing a quoted-string data type and a
  modification of the python compiler. (This main idea comes from
  Quixote's htmltext/PTL.)
  
  WWW:      http://www.mems-exchange.org/software/qpy/
  
  PR:             ports/105471
  Submitted by:   Dryice Liu <dryice at dryice.name>
  
  Revision  Changes    Path
  1.1600    +1 -0      ports/www/Makefile
  1.1       +31 -0     ports/www/py-qpy/Makefile (new)
  1.1       +3 -0      ports/www/py-qpy/distinfo (new)
  1.1       +8 -0      ports/www/py-qpy/pkg-descr (new)
  1.1       +26 -0     ports/www/py-qpy/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"